Commit f35a001c authored by GUIEU Sylvain's avatar GUIEU Sylvain
Browse files

Change totaly the package

pydevmgr is now just a redirection to pydevmgr_elt
parents
Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class
# C extensions
*.so
# Distribution / packaging
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
share/python-wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST
# PyInstaller
# Usually these files are written by a python script from a template
# before PyInstaller builds the exe, so as to inject date/other infos into it.
*.manifest
*.spec
# Installer logs
pip-log.txt
pip-delete-this-directory.txt
# Unit test / coverage reports
htmlcov/
.tox/
.nox/
.coverage
.coverage.*
.cache
nosetests.xml
coverage.xml
*.cover
*.py,cover
.hypothesis/
.pytest_cache/
cover/
# Translations
*.mo
*.pot
# Django stuff:
*.log
local_settings.py
db.sqlite3
db.sqlite3-journal
# Flask stuff:
instance/
.webassets-cache
# Scrapy stuff:
.scrapy
# Sphinx documentation
docs/_build/
# PyBuilder
.pybuilder/
target/
# Jupyter Notebook
.ipynb_checkpoints
# IPython
profile_default/
ipython_config.py
# pyenv
# For a library or package, you might want to ignore these files since the code is
# intended to run in multiple environments; otherwise, check them in:
# .python-version
# pipenv
# According to pypa/pipenv#598, it is recommended to include Pipfile.lock in version control.
# However, in case of collaboration, if having platform-specific dependencies or dependencies
# having no cross-platform support, pipenv may install dependencies that don't work, or not
# install all needed dependencies.
#Pipfile.lock
# PEP 582; used by e.g. github.com/David-OConnor/pyflow
__pypackages__/
# Celery stuff
celerybeat-schedule
celerybeat.pid
# SageMath parsed files
*.sage.py
# Environments
.env
.venv
env/
venv/
ENV/
env.bak/
venv.bak/
# Spyder project settings
.spyderproject
.spyproject
# Rope project settings
.ropeproject
# mkdocs documentation
/site
# mypy
.mypy_cache/
.dmypy.json
dmypy.json
# Pyre type checker
.pyre/
# pytype static type analyzer
.pytype/
# Cython debug symbols
cython_debug/
\ No newline at end of file
```
____ _ ____ _ _ _ _
| _ \ __ _ ___| | ____ _ __ _ ___ | _ \ ___ __| (_)_ __ ___ ___| |_(_) ___ _ __
| |_) / _` |/ __| |/ / _` |/ _` |/ _ \ | |_) / _ \/ _` | | '__/ _ \/ __| __| |/ _ \| '_ \
| __/ (_| | (__| < (_| | (_| | __/ | _ < __/ (_| | | | | __/ (__| |_| | (_) | | | |
|_| \__,_|\___|_|\_\__,_|\__, |\___| |_| \_\___|\__,_|_|_| \___|\___|\__|_|\___/|_| |_|
|___/
```
This is a redirection of the [pydevmgr_elt](https://github.com/efisoft-elt/pydevmgr_elt) packages (pydevmgr was the old name in v0.2).
By installing this package one will install the following packages :
- `pydevmgr_elt` : pydevmgr Classes to handle ELT devices. Which depend on:
- `pydevmgr_core` : Core package of pydevmgr
- `pydevmgr_ua` : Classes to handle UA communication within pydevmgr
The documentation of pydevmgr_elt is [here](https://pydevmgr-elt.readthedocs.io/en/latest/pydevmgr_elt_manual.html)
# Install
```bash
> pip install pydevmgr_elt
```
# Basic usage
```python
from pydevmgr_elt import Motor, wait
motor1 = Motor(address="opc.tcp://192.168.1.11:4840", prefix="MAIN.Motor001")
try:
motor1.connect()
wait( motor1.reset() )
wait( motor1.init() )
wait( motor1.enable() )
wait( motor1.move_abs(2.3, 0.5), lag=0.1)
print( "Motor Pos", motor1.stat.pos_actual.get() )
finally:
motor1.disconnect()
```
from setuptools import setup, find_packages
import sys
# Python 3.0 or later needed
if sys.version_info < (3, 0, 0, 'final', 0):
raise SystemExit('Python 3.0 or later is required!')
print("""
____ _ _ _ _
| _ \ ___ __| (_)_ __ ___ ___| |_(_) ___ _ __
| |_) / _ \/ _` | | '__/ _ \/ __| __| |/ _ \| '_ \
| _ < __/ (_| | | | | __/ (__| |_| | (_) | | | |
|_| \_\___|\__,_|_|_| \___|\___|\__|_|\___/|_| |_|
___ __
/ _ \ / _|
| | | | |_
| |_| | _|
\___/|_|
_ _ _
_ __ _ _ __| | _____ ___ __ ___ __ _ _ __ ___| | |_
| '_ \| | | |/ _` |/ _ \ \ / / '_ ` _ \ / _` | '__| / _ \ | __|
| |_) | |_| | (_| | __/\ V /| | | | | | (_| | | | __/ | |_
| .__/ \__, |\__,_|\___| \_/ |_| |_| |_|\__, |_|____ \___|_|\__|
|_| |___/ |___/ |_____|
""")
setup(
name= 'pydevmgr',
version= '0.3', # https://www.python.org/dev/peps/pep-0440/
author='Sylvain Guieu',
author_email='sylvain.guieu@univ-grenoble-alpes.fr',
packages=[],
#scripts=scripts,
#data_files=data_files,
license='Creative Commons Attribution-Noncommercial-Share Alike license',
long_description=open('README.md').read(),
install_requires=['pydevmgr_elt'],
extras_require={
},
dependency_links=[],
long_description_content_type='text/markdown',
include_package_data=True,
package_data= {
},
entry_points = {
'console_scripts': [],
}
)
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment